package com.base.appzxhy.fcm.receiver
import android.annotation.SuppressLint
import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import com.base.appzxhy.bean.NotificationSendBean
import com.base.appzxhy.bean.NotificationSendBean.Companion.POPUP_WHERE_FILE_JOB
import com.base.appzxhy.fcm.notification.MyNotificationManager

class FileJobReceiver : BroadcastReceiver() {
    @SuppressLint("UnsafeProtectedBroadcastReceiver")
    override fun onReceive(context: Context?, intent: Intent?) {
//        context?.startJob()
        context?.let {
            val sendBean = NotificationSendBean(context, POPUP_WHERE_FILE_JOB, canSend = { true }, sendSuccess = {})
            MyNotificationManager.submitSendBean(sendBean)
        }
    }
}